#include <stdio.h>
#include <stdlib.h>

unsigned long long int cifre(unsigned long long int a)
{
    unsigned long long int ax,brx=1;
    ax=a;
    while(ax>=1)
    {
        ax=ax/10;
        brx=brx*10;
    }
    return brx;
}

unsigned long long int kombinacije(unsigned long long int x ,unsigned long long int y ,unsigned long long int z,unsigned long long int bry ,unsigned long long int brz)
{
    unsigned long long int n;
    n=(x*bry+y)*brz+z;
    return n;
}
unsigned long long int maks(unsigned long long int a ,unsigned long long int b ,unsigned long long int c)
{
    int max;
    if(a>b)
    {
        if(a>c)
            max=a;
        else
            max=c;
    }
    else
    {
        if(b>c)
            max=b;
        else
            max=c;
    }
    return max;
}

int main()
{
    unsigned long long int x,y,z,a,b,c,d,e,f,max1,max2,max,brx,bry,brz;
    scanf("%llu %llu %llu",&x,&y,&z);
    brx=cifre(x);
    bry=cifre(y);
    brz=cifre(z);
    a=kombinacije(x,y,z,bry,brz);
    b=kombinacije(x,z,y,brz,bry);
    c=kombinacije(y,x,z,brx,brz);
    d=kombinacije(y,z,x,brz,brx);
    e=kombinacije(z,x,y,brx,bry);
    f=kombinacije(z,y,x,bry,brx);
    max1=maks(a,b,c);
    max2=maks(d,e,f);
    if(max1>max2)
        max=max1;
    else
        max=max2;
    printf("%llu",max);
    return 0;
}